Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextDocument.ResourceType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextDocument.ResourceType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextDocument

    public static final class QTextDocument.ResourceType

extends java.lang.Enum
implements QtEnumerator

This enum describes the types of resources that can be loaded by `QTextDocument`'s `loadResource()` function.

See also:
  `loadResource()`.

See Also:
  Serialized Form

Field Summary
`static QTextDocument.ResourceType` | `HtmlResource` The resource contains HTML.
`static QTextDocument.ResourceType` | `ImageResource` The resource contains image data.
`static QTextDocument.ResourceType` | `StyleSheetResource` The resource contains CSS.
`static QTextDocument.ResourceType` | `UserResource` The first available value for user defined resource types.

Method Summary
`static QTextDocument.ResourceType` | `resolve(int value)` Returns the QTextDocument$ResourceType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextDocument.ResourceType` | `valueOf(java.lang.String name)`
`static QTextDocument.ResourceType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### HtmlResource

    public static final QTextDocument.ResourceType HtmlResource

  The resource contains HTML.

### ImageResource

    public static final QTextDocument.ResourceType ImageResource

  The resource contains image data. Currently supported data types are `QVariant::Pixmap` and `QVariant::Image` . If the corresponding variant is of type `QVariant::ByteArray` then Qt attempts to load the image using QImage::loadFromData. `QVariant::Icon` is currently not supported. The icon needs to be converted to one of the supported types first, for example using QIcon::pixmap.

### StyleSheetResource

    public static final QTextDocument.ResourceType StyleSheetResource

  The resource contains CSS.

### UserResource

    public static final QTextDocument.ResourceType UserResource

  The first available value for user defined resource types.

Method Detail

### values

    public static QTextDocument.ResourceType[] values()

### valueOf

    public static QTextDocument.ResourceType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextDocument.ResourceType resolve(int value)

  Returns the QTextDocument$ResourceType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD